package org.wfc.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wfc.user.domain.UCdr;
import org.wfc.user.domain.bo.UCdrClientBo;
import org.wfc.user.domain.bo.UUCdrHistoryUserBo;
import org.wfc.user.domain.vo.UCdrClientVo;
import org.wfc.user.domain.vo.UCdrHistoryUserVo;
import org.wfc.user.domain.vo.UCdrUserVo;

import java.util.List;

/**
 * <p>
 * 用户平台_用户话单表 服务类
 * </p>
 *
 * @author cyc
 * @since 2024-12-09
 */
public interface IUCdrService extends IService<UCdr> {

    UCdrUserVo getByUser();

    List<UCdrClientVo> getByClient(UCdrClientBo client);

    List<UCdrHistoryUserVo> getHistoryByUser(UUCdrHistoryUserBo item);

    void addCdrInfoByOmadaApi();

}
